Name:           libva-intel-hybrid-driver
Version:        1.0.2
Release:        %mkrel 2
Summary:        VA driver for Intel G45 & HD Graphics family
Group:          System/X11
License:        MIT and BSD an NTP
URL:            https://github.com/01org/intel-hybrid-driver
Source0:        https://github.com/01org/intel-hybrid-driver/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:         libva-intel-hybrid-driver-1.0.2_replace_obsolete_AC_PROG_LIBTOOL.patch

BuildRequires:  libtool
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libcmrt)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(wayland-server)

Requires: cmrt
Requires: lib64cmrt1

%description
libva-intel-hybrid-driver is the VA-API implementation for Intel G45 chipsets
and Intel HD Graphics for Intel Core processor family.

It allows to accelerate VP9 videos on Skylake and Kabylake architectures.


%prep
%setup -qn intel-hybrid-driver-1.0.2
%apply_patches


%build
autoreconf -fiv
%configure2_5x
%make_build


%install
rm -rf %buildroot
%make_install 
find %{buildroot} -name "*.la" -delete


%files
%doc AUTHORS NEWS README COPYING
%{_libdir}/dri/hybrid_drv_video.so

%changelog
* Tue Oct 17 2017 bb2 <bb2> - 1.0.2-2pclos2017
- add requires

* Tue Oct 17 2017 bb2 <bb2> - 1.0.2-1pclos2017
- import into pclos
